OpenTTD Source: src/network/network_gui.h File Reference

OpenTTD Source 12.2

Data Structures | Functions
network_gui.h File Reference
`#include "../company_type.h"`
`#include "../date_type.h"`
`#include "../economy_type.h"`
`#include "../window_type.h"`
`#include "network_type.h"`
`#include "network_gamelist.h"`

Go to the source code of this file.

## Data Structures
struct | NetworkCompanyInfo
| Company information stored at the client side. More...

## Functions
void | ShowNetworkNeedPassword (NetworkPasswordType npt)
void | ShowNetworkChatQueryWindow (DestType type, int dest)
| Show the chat window. More...
void | ShowJoinStatusWindow ()
void | ShowNetworkGameWindow ()
void | ShowClientList ()
void | ShowNetworkCompanyPasswordWindow (Window *parent)
void | ShowNetworkAskRelay (const std::string &server_connection_string, const std::string &relay_connection_string, const std::string &token)
| Show a modal confirmation window with "no" / "yes, once" / "yes, always" buttons. More...

## Detailed Description

GUIs related to networking.

Definition in file network_gui.h.

## Function Documentation

## ◆ ShowNetworkAskRelay()

void ShowNetworkAskRelay | ( | const std::string & | server_connection_string,
|  | const std::string & | relay_connection_string,
|  | const std::string & | token
| ) |  |

Show a modal confirmation window with "no" / "yes, once" / "yes, always" buttons.

Parameters

  server_connection_string | The game server we want to connect to.
  relay_connection_string | The relay server we want to connect to.
  token | The token for this connection.

Definition at line 2482 of file network_gui.cpp.

References CloseWindowByClass(), FindWindowById(), WC_MAIN_WINDOW, and WC_NETWORK_ASK_RELAY.

## ◆ ShowNetworkChatQueryWindow()

void ShowNetworkChatQueryWindow | ( | DestType | type,
|  | int | dest
| ) |  |

Show the chat window.

Parameters

  type | The type of destination.
  dest | The actual destination index.

Definition at line 534 of file network_chat_gui.cpp.

References _chat_window_desc, CloseWindowByClass(), and WC_SEND_NETWORK_MSG.

Referenced by NetworkClientListWindow::OnClickClientChat(), and NetworkClientListWindow::OnClickCompanyChat().